# Package org.eclipse.cdt.core.cdtvariables

Interface Summary
ICdtVariable: This interface represents the given build macro Clients may implement or extend this interface.
ICdtVariableManager
ICdtVariablesContributor
ICdtVariableStatus: This interface represents the status of a build macro operation
IStorableCdtVariables: Public interface to access StorableCdtVariables class methods
IUserVarSupplier: Public interface to access to UserVarSupplier class methods

Class Summary
CdtVariable: This is the trivial implementation of the IBuildMacro used internaly by the MBS
CdtVariableStatus: This class implements the IBuildMacroStatus interface

Exception Summary
CdtVariableException: This exception is thrown in the case of some build macros-related operation failure The exception typically contains one or more IBuildMacroStatus statuses